# $Revision: 1.143 $, $Date: 2010/02/25 23:10:35 $
# TODO
# - why is tclConfig.sh in /usr/lib on lib64 platform?
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%define		major	8.5
%define		minor	8
Summary:	Tool Command Language embeddable scripting language, with shared libraries
Summary(fr.UTF-8):	Tool Command Language, langage de script avec bibliothèques partagées
Summary(pl.UTF-8):	Tool Command Language - język skryptowy z bibliotekami dynamicznymi
Summary(ru.UTF-8):	Tool Command Language - встраиваемый язык скриптов
Summary(tr.UTF-8):	Tcl ile kullanılabilen betik dili
Summary(uk.UTF-8):	Tool Command Language - вбудовувана мова скриптів
Name:		tcl
Version:	%{major}.%{minor}
Release:	3
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://downloads.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
# Source0-md5:	7f123e53b3daaaba2478d3af5a0752e3
Source1:	%{name}-pl-man-pages.tar.bz2
# Source1-md5:	dd3370f2b588763758787831a4bf48fc
Patch0:		%{name}-ieee.patch
Patch1:		%{name}-readline.patch
Patch2:		%{name}-opt.patch
Patch3:		%{name}-mannames.patch
Patch4:		%{name}-soname_fix.patch
Patch5:		%{name}-norpath.patch
Patch6:		%{name}-multilib.patch
Patch7:		%{name}-autopath.patch
Patch8:		%{name}-hidden.patch
Patch9:		%{name}-conf.patch
URL:		http://www.tcl.tk/
BuildRequires:	autoconf >= 2.59
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
Requires:	tzdata
Provides:	tcl(abi) = %{major}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	/usr/lib

%if "%{_libdir}" != "%{_ulibdir}"
%define		have_ulibdir	1
%endif

%description
Tcl is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. Tcl is very popular for writing small graphical
applications because of the Tk widget set which is closely tied to it.

%description -l de.UTF-8
Tcl ist eine einfache Skriptsprache, die zur Ingegration in andere
Applikationen vorgesehen ist. Dieses Paket umfaßt tclsh, ein einfaches
Beispiel einer tcl-Applikation. Tcl wird gern zum Schreiben kleiner
grafischer Anwendungen benutzt, weil das Tk-Widget-Set eng damit
verknüpft ist.

%description -l fr.UTF-8
Tcl est un langage simple de script, conçu pour être intégré dans
d'autres applications. Ce paquetage contient tclsh, un exemple simple
d'application tcl. Tcl est très utilisé pour écrire de petites
applications graphiques grâce à l'ensemble de widgets Tk qui lui est
très lié.

%description -l ja.UTF-8
Tcl は他のアプリケーションに埋め込むためにデザインされた簡単なスクリプ
ト言語です。Tclはウィジッド・セットであるTkとともに用いるようにデザイン
しています。このパッケージにはTclの簡単な例として、tclsh
も含んでいます。

%description -l pl.UTF-8
Tcl jest prostym językiem skryptowym, przeznaczonym do współpracy z
innymi aplikacjami. W pakiecie znajduje się również tclsh - prosty
przykład programów. Tcl jest bardzo popularnym językiem do pisania
małych programów graficznych.

%description -l ru.UTF-8
Tcl - это простой интерпретируемый язык, предназначенный для
встраивания в другие программы. Этот пакет включает tclsh, простой
пример программы на tcl. Tcl очень популярен для написания небольших
графических программ из-за набора экранных примитивов Tk, который
очень тесно с ним связан.

%description -l tr.UTF-8
Tcl, başka uygulamaların içine gömülmesi hedeflenerek geliştirilmiş
basit bir betimleme dilidir. Bu paket basit bir Tcl uygulaması örneği
olan tclsh kabuğunu içerir. Tcl, kendisi ile sıkıca ilintili olan Tk
arayüz elemanı kümesinin de desteğiyle küçük grafik uygulamalar yazma
konusunda son derece yaygın kullanılmaktadır.

%description -l uk.UTF-8
Tcl - це проста інтерпретована мова, призначена для вбудови в інші
програми. Цей пакет містить також tclsh, простий приклад програми на
tcl. Tcl дуже популярний для написання простих графічних програм
завдяки набору екранних примітивів Tk, котрий з ним дуже тісно
зв'язаний.

%package devel
Summary:	Tool Command Language header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja dla Tcl (Tool Command Language)
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description devel
Tool Command Language embeddable scripting language header files and
develpment documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja dla Tcl (Tool Command Language).

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
# Make sure we have /proc mounted - otherwise pthread_getattr_np will fail
# https://sourceforge.net/tracker/index.php?func=detail&aid=1815573&group_id=10894&atid=110894
if [ ! -r /proc/self/maps ]; then
		echo "You need to have /proc mounted in order to build this package!"
		exit 1
fi

cd unix
sed -i -e "s/^CFLAGS_OPTIMIZE.*/CFLAGS_OPTIMIZE=%{rpmcflags} -D__NO_STRING_INLINES -D__NO_MATH_INLINES -D_REENTRANT -DTCL_NO_STACK_CHECK=1/" \
	Makefile.in
%{__autoconf}
%configure \
	--enable-langinfo \
	--enable-shared \
	--enable-threads \
	--enable-64bit \
	--without-tzdata
%{__make}

cp -a tclConfig.sh tclConfig.sh-orig
sed -i -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}/tcl-private#" tclConfig.sh
if cmp -s tclConfig.sh tclConfig.sh-orig; then
	echo "tclConfig.sh fix rule didn't change anything. Please verify it."
fi

%if %{with tests}
# tests that are problematic on builders; some probably could be fixed
rm ../tests/{http,httpold,socket,unixInit}.test
# problematic
rm ../tests/{clock,async}.test

%{__make} test 2>&1 | tee make-test.log
FAILED=$(grep 'Files with failing tests:' make-test.log | sed -e 's#Files with failing tests: ##g' | sort | xargs)
if [ -n "$FAILED" ]; then
	echo "Files with failing tests: $FAILED"
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/tcl%{major},%{_prefix},%{_mandir}/man1}

%{__make} -C unix install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

# avoid Tcl_SetObjLength called with shared object error
# http://www.mail-archive.com/pld-devel-en@lists.pld-linux.org/msg05239.html
sed -i -e '/set auto_index(history)/s,^,#&,' $RPM_BUILD_ROOT%{_ulibdir}/tcl%{major}/tclIndex

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name '*.h' -exec cp -p '{}' $RPM_BUILD_ROOT%{_includedir}/%{name}-private/'{}' ';'
for h in $RPM_BUILD_ROOT%{_includedir}/*.h; do
	rh=$(basename "$h")
	if [ -f "$RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic/$rh" ]; then
		ln -sf "../../$rh" $RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic
	fi
done

ln -sf libtcl%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtcl.so
ln -sf libtcl%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtcl%{major}.so
ln -sf libtcl%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtcl%{major}.so.0
mv -f $RPM_BUILD_ROOT%{_bindir}/tclsh%{major} $RPM_BUILD_ROOT%{_bindir}/tclsh

%{?have_ulibdir:mv $RPM_BUILD_ROOT%{_libdir}/tclConfig.sh $RPM_BUILD_ROOT%{_ulibdir}/tclConfig.sh}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_libdir}/tcl%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libtcl%{major}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtcl%{major}.so.0
%{?have_ulibdir:%dir %{_libdir}/tcl%{major}}
%dir %{_datadir}/tcl%{major}
%{_ulibdir}/tcl[0-9]
%dir %{_ulibdir}/tcl%{major}
%{_ulibdir}/tcl%{major}/*.tcl
%{_ulibdir}/tcl%{major}/encoding
%{_ulibdir}/tcl%{major}/http1.0
%{_ulibdir}/tcl%{major}/opt0.4
%{_ulibdir}/tcl%{major}/tclIndex

%dir %{_ulibdir}/tcl%{major}/msgs
%lang(af) %{_ulibdir}/tcl%{major}/msgs/af.msg
%lang(af_ZA) %{_ulibdir}/tcl%{major}/msgs/af_za.msg
%lang(ar) %{_ulibdir}/tcl%{major}/msgs/ar.msg
%lang(ar_IN) %{_ulibdir}/tcl%{major}/msgs/ar_in.msg
%lang(ar_JO) %{_ulibdir}/tcl%{major}/msgs/ar_jo.msg
%lang(ar_LB) %{_ulibdir}/tcl%{major}/msgs/ar_lb.msg
%lang(ar_SY) %{_ulibdir}/tcl%{major}/msgs/ar_sy.msg
%lang(be) %{_ulibdir}/tcl%{major}/msgs/be.msg
%lang(bg) %{_ulibdir}/tcl%{major}/msgs/bg.msg
%lang(bn) %{_ulibdir}/tcl%{major}/msgs/bn.msg
%lang(bn_IN) %{_ulibdir}/tcl%{major}/msgs/bn_in.msg
%lang(ca) %{_ulibdir}/tcl%{major}/msgs/ca.msg
%lang(cs) %{_ulibdir}/tcl%{major}/msgs/cs.msg
%lang(da) %{_ulibdir}/tcl%{major}/msgs/da.msg
%lang(de) %{_ulibdir}/tcl%{major}/msgs/de.msg
%lang(de_AT) %{_ulibdir}/tcl%{major}/msgs/de_at.msg
%lang(de_BE) %{_ulibdir}/tcl%{major}/msgs/de_be.msg
%lang(el) %{_ulibdir}/tcl%{major}/msgs/el.msg
%lang(en_AU) %{_ulibdir}/tcl%{major}/msgs/en_au.msg
%lang(en_BE) %{_ulibdir}/tcl%{major}/msgs/en_be.msg
%lang(en_BW) %{_ulibdir}/tcl%{major}/msgs/en_bw.msg
%lang(en_CA) %{_ulibdir}/tcl%{major}/msgs/en_ca.msg
%lang(en_GB) %{_ulibdir}/tcl%{major}/msgs/en_gb.msg
%lang(en_HK) %{_ulibdir}/tcl%{major}/msgs/en_hk.msg
%lang(en_IE) %{_ulibdir}/tcl%{major}/msgs/en_ie.msg
%lang(en_IN) %{_ulibdir}/tcl%{major}/msgs/en_in.msg
%lang(en_NZ) %{_ulibdir}/tcl%{major}/msgs/en_nz.msg
%lang(en_PH) %{_ulibdir}/tcl%{major}/msgs/en_ph.msg
%lang(en_SG) %{_ulibdir}/tcl%{major}/msgs/en_sg.msg
%lang(en_ZA) %{_ulibdir}/tcl%{major}/msgs/en_za.msg
%lang(en_ZW) %{_ulibdir}/tcl%{major}/msgs/en_zw.msg
%lang(eo) %{_ulibdir}/tcl%{major}/msgs/eo.msg
%lang(es) %{_ulibdir}/tcl%{major}/msgs/es.msg
%lang(es_AR) %{_ulibdir}/tcl%{major}/msgs/es_ar.msg
%lang(es_BO) %{_ulibdir}/tcl%{major}/msgs/es_bo.msg
%lang(es_CL) %{_ulibdir}/tcl%{major}/msgs/es_cl.msg
%lang(es_CO) %{_ulibdir}/tcl%{major}/msgs/es_co.msg
%lang(es_CR) %{_ulibdir}/tcl%{major}/msgs/es_cr.msg
%lang(es_DO) %{_ulibdir}/tcl%{major}/msgs/es_do.msg
%lang(es_EC) %{_ulibdir}/tcl%{major}/msgs/es_ec.msg
%lang(es_GT) %{_ulibdir}/tcl%{major}/msgs/es_gt.msg
%lang(es_HN) %{_ulibdir}/tcl%{major}/msgs/es_hn.msg
%lang(es_MX) %{_ulibdir}/tcl%{major}/msgs/es_mx.msg
%lang(es_NI) %{_ulibdir}/tcl%{major}/msgs/es_ni.msg
%lang(es_PA) %{_ulibdir}/tcl%{major}/msgs/es_pa.msg
%lang(es_PE) %{_ulibdir}/tcl%{major}/msgs/es_pe.msg
%lang(es_PR) %{_ulibdir}/tcl%{major}/msgs/es_pr.msg
%lang(es_PY) %{_ulibdir}/tcl%{major}/msgs/es_py.msg
%lang(es_SV) %{_ulibdir}/tcl%{major}/msgs/es_sv.msg
%lang(es_UY) %{_ulibdir}/tcl%{major}/msgs/es_uy.msg
%lang(es_VE) %{_ulibdir}/tcl%{major}/msgs/es_ve.msg
%lang(et) %{_ulibdir}/tcl%{major}/msgs/et.msg
%lang(eu) %{_ulibdir}/tcl%{major}/msgs/eu.msg
%lang(eu_ES) %{_ulibdir}/tcl%{major}/msgs/eu_es.msg
%lang(fa) %{_ulibdir}/tcl%{major}/msgs/fa.msg
%lang(fa_IN) %{_ulibdir}/tcl%{major}/msgs/fa_in.msg
%lang(fa_IR) %{_ulibdir}/tcl%{major}/msgs/fa_ir.msg
%lang(fi) %{_ulibdir}/tcl%{major}/msgs/fi.msg
%lang(fo) %{_ulibdir}/tcl%{major}/msgs/fo.msg
%lang(fo_FO) %{_ulibdir}/tcl%{major}/msgs/fo_fo.msg
%lang(fr) %{_ulibdir}/tcl%{major}/msgs/fr.msg
%lang(fr_BE) %{_ulibdir}/tcl%{major}/msgs/fr_be.msg
%lang(fr_CA) %{_ulibdir}/tcl%{major}/msgs/fr_ca.msg
%lang(fr_CH) %{_ulibdir}/tcl%{major}/msgs/fr_ch.msg
%lang(ga) %{_ulibdir}/tcl%{major}/msgs/ga.msg
%lang(ga_IE) %{_ulibdir}/tcl%{major}/msgs/ga_ie.msg
%lang(gl) %{_ulibdir}/tcl%{major}/msgs/gl.msg
%lang(gl_ES) %{_ulibdir}/tcl%{major}/msgs/gl_es.msg
%lang(gv) %{_ulibdir}/tcl%{major}/msgs/gv.msg
%lang(gv_GB) %{_ulibdir}/tcl%{major}/msgs/gv_gb.msg
%lang(he) %{_ulibdir}/tcl%{major}/msgs/he.msg
%lang(hi) %{_ulibdir}/tcl%{major}/msgs/hi.msg
%lang(hi_IN) %{_ulibdir}/tcl%{major}/msgs/hi_in.msg
%lang(hr) %{_ulibdir}/tcl%{major}/msgs/hr.msg
%lang(hu) %{_ulibdir}/tcl%{major}/msgs/hu.msg
%lang(id) %{_ulibdir}/tcl%{major}/msgs/id.msg
%lang(id_ID) %{_ulibdir}/tcl%{major}/msgs/id_id.msg
%lang(is) %{_ulibdir}/tcl%{major}/msgs/is.msg
%lang(it) %{_ulibdir}/tcl%{major}/msgs/it.msg
%lang(it_CH) %{_ulibdir}/tcl%{major}/msgs/it_ch.msg
%lang(ja) %{_ulibdir}/tcl%{major}/msgs/ja.msg
%lang(kl) %{_ulibdir}/tcl%{major}/msgs/kl.msg
%lang(kl_GL) %{_ulibdir}/tcl%{major}/msgs/kl_gl.msg
%lang(ko) %{_ulibdir}/tcl%{major}/msgs/ko.msg
%lang(ko) %{_ulibdir}/tcl%{major}/msgs/ko_kr.msg
%lang(kok) %{_ulibdir}/tcl%{major}/msgs/kok.msg
%lang(kok_IN) %{_ulibdir}/tcl%{major}/msgs/kok_in.msg
%lang(kw) %{_ulibdir}/tcl%{major}/msgs/kw.msg
%lang(kw_GB) %{_ulibdir}/tcl%{major}/msgs/kw_gb.msg
%lang(lt) %{_ulibdir}/tcl%{major}/msgs/lt.msg
%lang(lv) %{_ulibdir}/tcl%{major}/msgs/lv.msg
%lang(mk) %{_ulibdir}/tcl%{major}/msgs/mk.msg
%lang(mr) %{_ulibdir}/tcl%{major}/msgs/mr.msg
%lang(mr_IN) %{_ulibdir}/tcl%{major}/msgs/mr_in.msg
%lang(ms) %{_ulibdir}/tcl%{major}/msgs/ms.msg
%lang(ms_MY) %{_ulibdir}/tcl%{major}/msgs/ms_my.msg
%lang(mt) %{_ulibdir}/tcl%{major}/msgs/mt.msg
%lang(nb) %{_ulibdir}/tcl%{major}/msgs/nb.msg
%lang(nl) %{_ulibdir}/tcl%{major}/msgs/nl.msg
%lang(nl_BE) %{_ulibdir}/tcl%{major}/msgs/nl_be.msg
%lang(nn) %{_ulibdir}/tcl%{major}/msgs/nn.msg
%lang(pl) %{_ulibdir}/tcl%{major}/msgs/pl.msg
%lang(pt) %{_ulibdir}/tcl%{major}/msgs/pt.msg
%lang(pt_BR) %{_ulibdir}/tcl%{major}/msgs/pt_br.msg
%lang(ro) %{_ulibdir}/tcl%{major}/msgs/ro.msg
%lang(ru) %{_ulibdir}/tcl%{major}/msgs/ru.msg
%lang(ru_UA) %{_ulibdir}/tcl%{major}/msgs/ru_ua.msg
%lang(sh) %{_ulibdir}/tcl%{major}/msgs/sh.msg
%lang(sk) %{_ulibdir}/tcl%{major}/msgs/sk.msg
%lang(sl) %{_ulibdir}/tcl%{major}/msgs/sl.msg
%lang(sq) %{_ulibdir}/tcl%{major}/msgs/sq.msg
%lang(sr) %{_ulibdir}/tcl%{major}/msgs/sr.msg
%lang(sv) %{_ulibdir}/tcl%{major}/msgs/sv.msg
%lang(sw) %{_ulibdir}/tcl%{major}/msgs/sw.msg
%lang(ta) %{_ulibdir}/tcl%{major}/msgs/ta.msg
%lang(ta_IN) %{_ulibdir}/tcl%{major}/msgs/ta_in.msg
%lang(te) %{_ulibdir}/tcl%{major}/msgs/te.msg
%lang(te_IN) %{_ulibdir}/tcl%{major}/msgs/te_in.msg
%lang(th) %{_ulibdir}/tcl%{major}/msgs/th.msg
%lang(tr) %{_ulibdir}/tcl%{major}/msgs/tr.msg
%lang(uk) %{_ulibdir}/tcl%{major}/msgs/uk.msg
%lang(vi) %{_ulibdir}/tcl%{major}/msgs/vi.msg
%lang(zh) %{_ulibdir}/tcl%{major}/msgs/zh.msg
%lang(zh_CN) %{_ulibdir}/tcl%{major}/msgs/zh_cn.msg
%lang(zh_HK) %{_ulibdir}/tcl%{major}/msgs/zh_hk.msg
%lang(zh_SG) %{_ulibdir}/tcl%{major}/msgs/zh_sg.msg
%lang(zh_TW) %{_ulibdir}/tcl%{major}/msgs/zh_tw.msg

%{_mandir}/man1/tclsh.1*
%lang(pl) %{_mandir}/pl/man1/tclsh.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/tclConfig.sh
%{_ulibdir}/tcl%{major}/tclAppInit.c
%attr(755,root,root) %{_libdir}/libtcl%{major}.so
%attr(755,root,root) %{_libdir}/libtcl.so
%{_libdir}/libtclstub%{major}.a
%{_includedir}/tcl*.h
%{_includedir}/tcl-private
%{_mandir}/man3/TCL_*.3*
%{_mandir}/man3/Tcl_*.3*
%{_mandir}/man3/attemptck*alloc.3*
%{_mandir}/man3/ck*.3*
%{_mandir}/mann/*.n*
%lang(pl) %{_mandir}/pl/mann/*.n*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcl.spec,v $
Revision 1.143  2010/02/25 23:10:35  glen
- "Tcl_SetObjLength called with shared object" error still not fixed, remove auto_index entry then; rel 3

Revision 1.142  2010/02/25 22:41:56  glen
- provide tcl(abi) virtual; rel 2

Revision 1.141  2009/11/18 21:51:47  arekm
- up to 8.5.8

Revision 1.140  2009/05/11 18:48:39  glen
- mv tclAppInit.c to -devel
- -autopath.patch, -hidden.patch, -conf.patch patches from fc
- modules are searched also from %{_datadir}/tcl%{ver}

Revision 1.139  2009/04/23 06:27:38  arekm
- up to 8.5.7

Revision 1.138  2009/02/23 22:08:44  arekm
- release 2

Revision 1.137  2009/01/09 09:52:53  arekm
- up to 8.5.6

Revision 1.136  2008/11/02 20:54:12  arekm
- rel 2; disable stack checking (it's broken almost every new release); tcl 8.6 is stackless anyway (but still alpha)

Revision 1.135  2008/10/27 19:56:21  arekm
- up to 8.5.5

Revision 1.134  2008/08/17 20:53:14  arekm
- up to 8.5.4

Revision 1.133  2008/07/11 18:09:51  qboosh
- updated to 8.5.3

Revision 1.132  2008/04/05 17:52:50  arekm
- up to 8.5.2

Revision 1.131  2008-02-18 21:46:42  glen
- and i was wrong

Revision 1.130  2008-02-16 11:44:55  blues
- CVE references

Revision 1.129  2008-02-08 23:26:49  arekm
- up to 8.5.1 [CVE-2008-0553]

Revision 1.128  2007-12-28 16:51:58  arekm
- rel 3; fix sed correction

Revision 1.127  2007-12-28 13:38:49  arekm
- rel 2; more problematic tests

Revision 1.126  2007-12-28 13:14:40  arekm
- prevent some tests from being run (broken)

Revision 1.125  2007-12-24 23:56:48  adamg
- updated to 8.5.0, extended list of acceptable FAILED tests

Revision 1.124  2007-11-25 18:25:09  arekm
- up to b3

Revision 1.123  2007/10/24 20:36:45  arekm
- /proc is currently needed for building and using tcl with threads enabled (waiting for upstream solution).

Revision 1.122  2007/10/21 12:02:33  qboosh
- bcond header

Revision 1.121  2007/10/20 21:39:13  arekm
- make test for tcl

Revision 1.120  2007/10/18 06:27:00  arekm
- up to 8.5 b1

Revision 1.119  2007/06/26 17:52:34  qboosh
- updated to 8.5a6
- updated norpath patch, removed obsolete bug-1618411,tclunixport_h patches
- use system tzdata

Revision 1.118  2007/04/16 16:03:10  tommat
- added tcl-tclunixport_h.patch

Revision 1.117  2007/03/16 20:20:24  pluto
- revert. package@ftp is fine. my fault.

Revision 1.116  2007/03/16 20:11:31  pluto
- restore previous worakround for bug#1618411.
  runtest script from dejagnu still triggers tcl bug on x86-64.

Revision 1.115  2007/03/02 15:57:13  tommat
- added multilib patch

Revision 1.114  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.113  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.112  2007/02/09 07:20:31  arekm
- rel 3; fix for bug 1618411

Revision 1.111  2006/12/18 21:53:24  arekm
- rel .2; fixes problems with: application-specific initialization failed: too many nested evaluations (infinite loop?)

Revision 1.110  2006/10/26 18:29:42  qboosh
- lang() for localized msgs

Revision 1.109  2006/10/25 18:09:42  arekm
- up to a5

Revision 1.108  2006/05/23 23:08:48  qboosh
- updated to 8.5a4
- updated readline patch, removed obsolete glibc21,shell-quotes patches

Revision 1.107  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.106  2006/01/04 15:16:47  qrczak
- tcl-shell-quotes.patch: fixed unbalanced shell quotes which confuse
  zsh at configure time.

Revision 1.105  2005/10/20 17:56:14  qboosh
- fixed tclConfig.sh subst

Revision 1.104  2005/09/06 17:41:41  arekm
- fix paths in tclConfig.sh

Revision 1.103  2005/09/06 17:31:50  arekm
- provide more complete internal headers set in includedir/tcl-private (tcl needs for example it's own regexp.h)

Revision 1.102  2005/06/18 19:18:25  qboosh
- updated ieee patch is back

Revision 1.101  2005/06/17 21:48:12  arekm
- up to a3

Revision 1.100  2005/05/16 20:30:22  qboosh
- one more fix in 64bit patch, release .4

Revision 1.99  2005/04/21 13:15:40  mmazur
- rel 0.3; gcc4 fix

Revision 1.98  2005/04/20 22:01:35  mmazur
- rel .2; fixed building on amd64

Revision 1.97  2005/04/04 12:15:48  arekm
- fix release

Revision 1.96  2005/04/04 11:33:48  arekm
- up to devel series 8.5a2

Revision 1.95  2004/12/08 15:12:51  qboosh
- updated to 8.4.9, updated 64bit,mannames patches

Revision 1.94  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.93  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.92  2004/10/03 12:28:28  havner
- rebuild with new binutils

Revision 1.91  2004/08/05 21:53:48  qboosh
- updated to 8.4.7, updated opt,ac25x patches

Revision 1.90  2004/07/01 11:35:21  djurban
- dont disable threads

Revision 1.89  2004/03/06 21:27:15  qboosh
- strict internal dep

Revision 1.88  2004/03/06 21:10:58  qboosh
- updated to 8.4.6
- changed the way of adding shlib version in soname_fix patch

Revision 1.87  2004/01/04 16:58:44  adgor
- Simplified

Revision 1.86  2004/01/04 16:26:20  adgor
- Finally fixed (i hope) %{_ulibdir} problem - tx qboosh

Revision 1.85  2004/01/03 10:18:53  jajcus
- move files from _libdir to _ulibdir only if that are different directories

Revision 1.84  2004/01/02 18:06:14  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.83  2003/12/30 20:08:02  jajcus
- include both %{_libdir} and %{_ulibdir} in PACKAGE_PATH so platform-dependant tcl packages could be loaded properly on AMD64

Revision 1.82  2003/12/25 16:05:30  jajcus
- tclConfig.sh moved to /usr/lib

Revision 1.81  2003/12/19 18:19:34  jajcus
- fixed build on AMD64 %{_ulibdir} macro which is always /usr/lib (scripts are installed there)

Revision 1.80  2003/11/26 08:57:21  qboosh
- updated to 8.4.5 (bugfix release)

Revision 1.79  2003/08/25 20:34:17  mmazur
- rel 2 for ac

Revision 1.78  2003/07/31 12:48:00  wiget
- updated to 8.4.4

Revision 1.77  2003/07/21 20:23:30  grzegol
- reverted last change

Revision 1.76  2003/07/21 20:12:36  grzegol
- added tcl.m4 to -devel
- rel. 0.4

Revision 1.75  2003/07/01 06:48:34  wiget
- rebuild

Revision 1.74  2003/06/17 19:15:52  qboosh
- added norpath patch, release 0.2

Revision 1.73  2003/06/11 20:42:53  qboosh
- finished mannames patch (now it obsoletes manlnk patch)
- removed obsolete tmpfix,manlnk,system_encoding patches

Revision 1.72  2003/06/11 06:25:05  wiget
- cosmetic

Revision 1.71  2003/06/09 21:34:56  wiget
- first try to 8.4.3

Revision 1.70  2003/06/05 15:28:55  wiget
- fixed soname patch
- release 10

Revision 1.69  2003/05/26 18:23:36  agaran
- Source[01]-md5

Revision 1.68  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/05/20 12:08:56  misi3k
- readded soname patch, rel up

Revision 1.66  2003/05/20 05:32:06  misi3k
- removed soname patch, bad idea, rel down

Revision 1.65  2003/05/16 17:35:56  misi3k
- rel 9
- added SONAME patch

Revision 1.64  2003/04/05 22:18:04  qboosh
- added mannames patch: use man page names as filenames - this prevents
  conflict with lesstif (and more potentian conflicts)
- fixed overcomplicated (and broken) manlnk patch
- release 8

Revision 1.63  2003/01/11 11:51:55  jajcus
- Release: 7
- patch for proper system encoding detection

Revision 1.62  2002/10/30 08:56:49  kloczek
- release 6.

Revision 1.61  2002/10/29 22:16:35  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.60  2002/07/03 16:25:19  dobrek
- extended sc25 patch. TCL now builds. (STBR)
- Revision number set to 5

Revision 1.59  2002/06/27 20:06:34  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.58  2002/06/22 23:00:03  kloczek
- release 4: merge translations from KONDRA and KSI.

Revision 1.57  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/02/23 04:49:03  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/11/25 20:04:51  ankry
- add more pl man pages
- release 3

Revision 1.52  2001/11/19 22:14:22  ankry
- added pl man page
- release 2

Revision 1.51  2001/10/24 10:15:19  mkierus
- updated to 8.3.4

Revision 1.50  2001/10/11 14:31:53  qboosh
- BuildRequires: autoconf

Revision 1.49  2001/06/17 08:57:32  jajcus
- Version: 8.3.3
- removed ieee patch (doesn't seem to be needed now)
- updated headers_fix.patch
- thread support turned off (some Tk apps won't work well with this)

Revision 1.48  2001/04/13 00:34:46  kloczek
- release 52: rebuild against readline 4.2.

Revision 1.47  2001/04/05 23:38:33  misiek
- release 51; threads and 64bit enabled

Revision 1.46  2000/12/14 16:36:18  baggins
- release 50
- added opt patch
- use RPM_OPT_FLAGS

Revision 1.45  2000/11/12 21:48:52  kloczek
- release 49 (for allow upgrade from RH),
- spec adapterized.

Revision 1.44  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.43  2000/10/10 16:21:09  wiget
- more header in devel

Revision 1.42  2000/10/07 07:26:03  pascalek
- updated to 8.3.2
- gzipping and stripping removed

Revision 1.41  2000/07/13 23:22:57  baggins
- release 37
- rebuild with ncurses 5.1

Revision 1.40  2000/06/13 19:02:33  kloczek
- spec adapterized.

Revision 1.39  2000/06/12 14:09:47  baggins
- release 36
- added autoconf fix

Revision 1.38  2000/06/09 07:55:12  kloczek
- more %{__make} macros.

Revision 1.37  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.36  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.34  2000/03/23 12:19:47  kloczek
- release 35,
- added sigpwr patch (fix for compile on systems where SIGPWR == SIGLOST).

Revision 1.33  2000/03/23 12:13:53  kloczek
- release 33,
- build against readline 4.1.

Revision 1.32  1999/11/16 17:19:20  kloczek
- release 32,
- build against ncurses 5.0.

Revision 1.31  1999/09/05 23:21:15  kloczek
- typo.

Revision 1.30  1999/09/05 22:58:53  kloczek
- release 31,
- added using %configure macro,
- additional header files to install (headers_fix patch),
- --strip-unneeded on stripping shared libraries.

Revision 1.29  1999/07/28 14:47:10  kloczek
- release to 3.

Revision 1.28  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.27  1999/07/16 14:57:15  baggins
- remove previous change

Revision 1.26  1999/07/16 14:47:09  baggins
- small fix

Revision 1.25  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
